gr::dab::mp4_decode_bs_impl Class Reference

DAB+ Audio frame decoder according to ETSI TS 102 563. More...

`#include <mp4_decode_bs_impl.h>`

Inheritance diagram for gr::dab::mp4_decode_bs_impl:
[legend]

## Public Member Functions

| mp4_decode_bs_impl (int bit_rate_n)
| ~mp4_decode_bs_impl ()
virtual int | get_sample_rate ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::mp4_decode_bs
typedef std::shared_ptr< mp4_decode_bs > | sptr
Static Public Member Functions inherited from gr::dab::mp4_decode_bs
static sptr | make (int bit_rate_n)
| Return a shared_ptr to a new instance of dab::mp4_decode_bs.

## Detailed Description

DAB+ Audio frame decoder according to ETSI TS 102 563.

## Constructor & Destructor Documentation

## mp4_decode_bs_impl()

gr::dab::mp4_decode_bs_impl::mp4_decode_bs_impl | ( | int | bit_rate_n | ) |

## ~mp4_decode_bs_impl()

gr::dab::mp4_decode_bs_impl::~mp4_decode_bs_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::mp4_decode_bs_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::mp4_decode_bs_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## get_sample_rate()

virtual int gr::dab::mp4_decode_bs_impl::get_sample_rate | ( |  | ) |

inline virtual

Implements gr::dab::mp4_decode_bs.

The documentation for this class was generated from the following file:

- mp4_decode_bs_impl.h